net.sf.okapi.lib.xliff2.renderer

## Class XLIFFFragmentObject

- java.lang.Object
- - net.sf.okapi.lib.xliff2.renderer.XLIFFFragmentObject

- All Implemented Interfaces:
    IFragmentObject

      public class XLIFFFragmentObject
      extends java.lang.Object
      implements IFragmentObject

  Implements `IFragmentObject` for XLIFF 2.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTag` | `getCTag()` Gets the `CTag` of this object, if the object is of that type
    `MTag` | `getMTag()` Gets the `MTag` of this object, if the object is of that type
    `java.lang.Object` | `getObject()` Gets the original object.
    `java.lang.String` | `getText()` Gets the text of this object, if the object is a String.
    `java.lang.String` | `render()` Generates the output for a given format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### render

          public java.lang.String render()

      Description copied from interface: `IFragmentObject`
      Generates the output for a given format.
      Specified by:
        `render` in interface `IFragmentObject`
      Returns:
        the string representation of this inline object.

    - #### getText

          public java.lang.String getText()

      Description copied from interface: `IFragmentObject`
      Gets the text of this object, if the object is a String.
      Specified by:
        `getText` in interface `IFragmentObject`
      Returns:
        the text.

    - #### getCTag

          public CTag getCTag()

      Description copied from interface: `IFragmentObject`
      Gets the `CTag` of this object, if the object is of that type
      Specified by:
        `getCTag` in interface `IFragmentObject`
      Returns:
        the CTag of this object.

    - #### getMTag

          public MTag getMTag()

      Description copied from interface: `IFragmentObject`
      Gets the `MTag` of this object, if the object is of that type
      Specified by:
        `getMTag` in interface `IFragmentObject`
      Returns:
        the MTag of this object.

    - #### getObject

          public java.lang.Object getObject()

      Description copied from interface: `IFragmentObject`
      Gets the original object.
      Specified by:
        `getObject` in interface `IFragmentObject`
      Returns:
        the original object.